<cfif IsDefined("form.photo")>
	<cftry>
	
		<cfparam name="form.width" default="100" type="integer">
		<cfparam name="form.height" default="100" type="integer">
		<cfset file_name = uploadPhoto()>
		<cfimage action="resize" 
				source="uploaded-images/#file_name#" 
				destination="manipulated-images/#file_name#" 
				overwrite="true" 
				height="#form.height#" 
				width="#form.width#">
	
		<cfoutput>
			<h2>Resized Image</h2>
			<img src="manipulated-images/#file_name#">
		
			<h2>Source Image</h2>
			<img src="uploaded-images/#file_name#" border="0" />
		</cfoutput>
		<cfcatch type="any">
			Oops: 
			<cfoutput>#cfcatch.message#<br />#cfcatch.detail#</cfoutput>
		</cfcatch>
		
	</cftry>
	
</cfif>

<form action="ex-1-resize.cfm" method="post" enctype="multipart/form-data">
	<label>Photo: </label>
	<input type="file" name="photo" />
	<label>Width:</label> 
	<input type="text" name="width" value="100" size="3" />
	<label>Height:</label>
	<input type="text" name="height" value="100" size="3" />
	<input type="submit" value="Resize">
</form>