<cfif NOT IsDefined("application.captcha_salt")>
	<cfset application.captcha_salt =  GenerateSecretKey("AES")>
</cfif>
<cfif IsDefined("form.text") AND IsDefined("form.h")>
	<cfif form.h IS Hash(LCase(form.text) & application.captcha_salt, "SHA-512")>
		<h1>You Got it!</h1>
	<cfelse>
		<h1>Sorry Try Again</h1>
	</cfif>
</cfif>

<cfset num_letters = RandRange(3,6)>
<cfset word = "">
<cfloop from="1" to="#num_letters#" index="i">
	<!--- append a random ascii letter --->
	<cfset word = word & Chr(RandRange(97,122))>
</cfloop>
<cfset h = Hash(word & application.captcha_salt, "SHA-512")>
<cfoutput>
	<form action="ex-5-captcha-form.cfm" method="post">
		<input type="hidden" name="h" value="#h#">
		<label>Enter the text in the image:</label>
		<input type="text" value="" name="text" />
		<br />
		<cfimage action="captcha" text="#word#" height="50" width="300">
	</form>
</cfoutput>