<cfif IsDefined("form.photo")>
	<cftry>
	
		<cfparam name="form.max_width" default="100" type="integer">
		<cfparam name="form.max_height" default="100" type="integer">
		<cfset file_name = uploadPhoto()>
		
		<cfimage action="info" source="uploaded-images/#file_name#" structName="imageInfo">
		
		<cfif imageInfo.height GT form.max_height OR imageInfo.width GT form.max_width>
			<cfif imageInfo.height GT form.max_height>
				<cfset new_height = form.max_height>
			<cfelse>
				<cfset new_height = imageInfo.height>
			</cfif>
			<cfif imageInfo.width GT form.max_width>
				<cfset new_width = form.max_width>
			<cfelse>
				<cfset new_width = imageInfo.width>
			</cfif>
			<cfimage action="resize" 
					source="uploaded-images/#file_name#" 
					destination="manipulated-images/#file_name#" 
					overwrite="true" 
					height="#new_height#" 
					width="#new_width#">
		
			<cfoutput>
				<h2>Resized Image to (#new_width# x #new_height#) from (#imageInfo.width# x #imageInfo.height#)</h2>
				<img src="manipulated-images/#file_name#">
			
				
			</cfoutput>
		<cfelse>
			<h2>Not Resized</h2>
			<p>Image is small enough. <cfoutput>#imageInfo.width#px x #imageInfo.height#px</cfoutput></p>
		</cfif>
		<cfoutput>
			<h2>Source Image</h2>
			<img src="uploaded-images/#file_name#" border="0" />
		</cfoutput>
		<cfcatch type="any">
			Oops: 
			<cfoutput>#cfcatch.message#<br />#cfcatch.detail#</cfoutput>
		</cfcatch>
		
	</cftry>
	
</cfif>

<form action="ex-3-cond-resize.cfm" method="post" enctype="multipart/form-data">
	<label>Photo: </label>
	<input type="file" name="photo" />
	<label>Max Width:</label> 
	<input type="text" name="max_width" value="100" size="3" />
	<label>Max Height:</label>
	<input type="text" name="max_height" value="100" size="3" />
	<input type="submit" value="Resize">
</form>